> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# List Environment Variables

> List all environment variables for the authenticated user.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/environment-variables/
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/environment-variables/:
    get:
      tags:
        - Environment Variables
      summary: List Environment Variables
      description: List all environment variables for the authenticated user.
      operationId: list_environment_variables_api_v2_external_environment_variables__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentVariableListResponse'
components:
  schemas:
    EnvironmentVariableListResponse:
      properties:
        environment_variables:
          items:
            $ref: '#/components/schemas/EnvironmentVariableResponse'
          type: array
          title: Environment Variables
      type: object
      required:
        - environment_variables
      title: EnvironmentVariableListResponse
    EnvironmentVariableResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
        is_sensitive:
          type: boolean
          title: Is Sensitive
          default: true
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - value
        - created_at
        - updated_at
      title: EnvironmentVariableResponse

````